using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class OptionalValueSelectByDescription : DataAccessBase
	{
		public OptionalValueSelectByDescription()
		{
            base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[OptionalValueSelectByDescription]");
			ConfigParameter();
		}

		private SqlParameter paramDescription;
		public System.String Description
		{
			get
			{
				return (System.String)paramDescription.Value;
			}
			set
			{
				paramDescription.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramDescription = new SqlParameter();
			paramDescription.ParameterName = "@Description";
			paramDescription.SqlDbType = SqlDbType.VarChar;
			paramDescription.Size = 50;
			paramDescription.Direction = ParameterDirection.Input;
			paramDescription.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramDescription);
		}
	}
}